<?php
#    IRM - The Information Resource Manager
#    Copyright (C) 1999 Yann Ramin
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License (in file COPYING) for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
################################################################################

include("../include/irm.inc");
require_once 'include/i18n.php';

AuthCheck("tech");

commonHeader(_("Software") . " - " . _("Add Form"));
error_reporting(E_ALL ^ E_NOTICE);
__("Fill out this form to add a new software package.");
PRINT "<table width=100% border=1 noshade>";
PRINT '<form method=post action="'.Config::AbsLoc('users/software-add.php').'">';
PRINT "<input type=hidden name=ID value=\"$ID\"><tr bgcolor=#CCCCCC><td colspan=3>
		<font face=\"Arial, Helvetica\">";

PRINT "<strong>"._("New Software")."</strong>";

PRINT "</font></td></tr>";
PRINT "<tr bgcolor=#DDDDDD><td><font face=\"Arial, Helvetica\">".
		_("Name:")."<br>
		<input type=text name=name value=\"$name\" size=24><br>".
		_("Location").":<br>
		<input type=text name=package value=\"$package\" size=20><br>
		</font></td>

		<td><font face=\"Arial, Helvetica\">"._("Platform:")."<br>";

Dropdown_value("dropdown_os", "platform", $platform);
PRINT "</font></td><td><font face=\"Arial, Helvetica\">"._("Class:")."<BR>
		<SELECT name=class>
		<OPTION value=Application selected>"._("Application")."</OPTION>
		<OPTION value=\"Application Bundle\">"._("Application Bundle")."</OPTION>
		<OPTION value=CAL>"._("Client Access License")."</OPTION>
		<OPTION value=Server>"._("Server")."</OPTION>
		<OPTION value=\"Operating System\">"._("Operating System")."</OPTION>
</SELECT>";

print "</font></td></tr>";

PRINT "<tr bgcolor=#DDDDDD> 
	<td colspan=3><font face=\"Arial,Helvetica\">".
		_("Comments").":<br><textarea cols=80 rows=5 name=comments 
		wrap=soft>$comments</textarea></font></td></tr>";
PRINT "<tr bgcolor=#CCCCCC><td colspan=3><input type=submit value=\""._("Add")."\">
		<input type=reset value=\""._("Reset")."\"></form></td></tr></table>";
PRINT "<br>";

commonFooter();
